@import "../../../../core/variables";

.container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  box-shadow: 0 0 0 1px $color-gray-500;
  border-radius: $border-radius-sm;
  font-size: $font-size-xs;
  transition: box-shadow .3s ease, border-color .3s ease;
  background: $color-white;
}

.input {
  width: 100%;
  color: $color-gray-900;
  letter-spacing: -0.25px;
  padding: $indent-xsm $indent-sm;

  &::placeholder {
    color: $color-gray-900;
    opacity: .4;
  }
}

.isHovered {
  box-shadow:
          0 0 0 1px $color-blue,
          0 5px 11px rgba(0, 123, 255, 0.1),
          0 2px 2px rgba(0, 0, 0, 0.06),
          0 2px 4px rgba(0, 123, 255, 0.0608866);
  position: relative;
}

.hasInputBefore {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.hasInputAfter {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.isDisabled {
  opacity: .6;
  * {
    cursor: not-allowed;
  }
}

.prefix,
.suffix {
  flex-shrink: 0;
  color: $color-gray-700;
}

.prefix {
  padding-left: $indent-sm;
}

.suffix {
  padding-right: $indent-sm;
}